/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2016-03-24 14:41:46Z
 *****************************************************************************/

#ifndef __RSCMWGG_ATTRIBUTES_HEADER
#define __RSCMWGG_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rscmwgg_rngExtAtt;
extern RsRangeTable rscmwgg_rngCenterFrequency;
extern RsRangeTable rscmwgg_rngGeneratorState;
extern RsRangeTable rscmwgg_rngOutputConnector;
extern RsRangeTable rscmwgg_rngGeneratorBand;
extern RsRangeTable rscmwgg_rngGeneratorLevel;
extern RsRangeTable rscmwgg_rngScenario;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSCMWGG_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CACHE;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPY;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSCMWGG_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSCMWGG_ATTR_GENERATOR_STATE;
extern RsAttrProperties g_RSCMWGG_ATTR_QUERY_GENERATOR_STATE;
extern RsAttrProperties g_RSCMWGG_ATTR_GENERATOR_EXTERNAL_ATTENUATION;
extern RsAttrProperties g_RSCMWGG_ATTR_GENERATOR_FREQUENCY;
extern RsAttrProperties g_RSCMWGG_ATTR_GENERATOR_CHANNEL;
extern RsAttrProperties g_RSCMWGG_ATTR_GENERATOR_BAND;
extern RsAttrProperties g_RSCMWGG_ATTR_GENERATOR_RMS_LEVEL;
extern RsAttrProperties g_RSCMWGG_ATTR_QUERY_GENERATOR_PEP;
extern RsAttrProperties g_RSCMWGG_ATTR_SYSTEM_VERSION;
extern RsAttrProperties g_RSCMWGG_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSCMWGG_ATTR_SYSTEM_ALL_ERRORS;
extern RsAttrProperties g_RSCMWGG_ATTR_SYSTEM_PRESET;
extern RsAttrProperties g_RSCMWGG_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSCMWGG_ATTR_GENERATOR_OUTPUT_CONNECTOR;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rscmwgg_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rscmwgg_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWGG_ATTRIBUTES_HEADER */
