/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

#define RSCMW_NAN                 9.91e+37
#define RSCMW_NAN_VI_INT32        0x80000000

ViStatus rscmwgg_InitAttributes (ViSession vi);
ViStatus rscmwgg_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rscmwgg_CheckStatus (ViSession vi);
ViStatus rscmwgg_WaitForOPC (ViSession vi, ViUInt32 maxTime);
ViInt32 rscmwgg_StringIndex(ViString array[], ViChar buff[]); 
ViBoolean rscmwgg_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViBoolean rscmwgg_invalidViUInt32Range (ViUInt32 val, ViUInt32 min, ViUInt32 max);
ViBoolean rscmwgg_invalidViReal64Range (ViReal64 val, ViReal64 min, ViReal64 max);
ViBoolean rscmwgg_invalidViBooleanRange (ViBoolean val);
ViStatus rscmwgg_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus rscmwgg_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rscmwgg_CheckBeforeRead (ViSession instrSession, ViUInt32 maxTime);
ViStatus rscmwgg_instanceRepCap (ViSession instrSession, ViInt32 instance, ViChar rep_cap[]);
ViReal64 rscmwgg_atof (ViChar *p2buf);
