/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2019-05-14 13:53:08Z
 *****************************************************************************/

#ifndef __RSCMWGM_ATTRIBUTES_HEADER
#define __RSCMWGM_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTable rscmwgm_rngExtAtt;
extern RsCoreRangeTable rscmwgm_rngUserMargin;
extern RsCoreRangeTable rscmwgm_rngCenterFrequency;
extern RsCoreRangeTable rscmwgm_rngRepMode;
extern RsCoreRangeTable rscmwgm_rngStatCount;
extern RsCoreRangeTable rscmwgm_rngTrigThreshold;
extern RsCoreRangeTable rscmwgm_rngStopCond;
extern RsCoreRangeTable rscmwgm_rngFreqRangeWidth;
extern RsCoreRangeTable rscmwgm_rngHDALevel;
extern RsCoreRangeTable rscmwgm_rngTrainingSeq;
extern RsCoreRangeTable rscmwgm_rngTrigSlope;
extern RsCoreRangeTable rscmwgm_rngTrigDelay;
extern RsCoreRangeTable rscmwgm_rngTrigTimeout;
extern RsCoreRangeTable rscmwgm_rngFrameSync;
extern RsCoreRangeTable rscmwgm_rngGapLength;
extern RsCoreRangeTable rscmwgm_rngRefPowerMode;
extern RsCoreRangeTable rscmwgm_rngIFFiltBwid;
extern RsCoreRangeTable rscmwgm_rngOffsetFrequency;
extern RsCoreRangeTable rscmwgm_rngHoldMode;
extern RsCoreRangeTable rscmwgm_rngListModeCount;
extern RsCoreRangeTable rscmwgm_rngListModeStepLength;
extern RsCoreRangeTable rscmwgm_rngTriggerGap;
extern RsCoreRangeTable rscmwgm_rngBERLoop;
extern RsCoreRangeTable rscmwgm_rngIQRotation;
extern RsCoreRangeTable rscmwgm_rngIQFilter;
extern RsCoreRangeTable rscmwgm_rngPercentage;
extern RsCoreRangeTable rscmwgm_rngLinLog;
extern RsCoreRangeTable rscmwgm_rngMixerInputLevel;
extern RsCoreRangeTable rscmwgm_rngPLCMode;
extern RsCoreRangeTable rscmwgm_rngVAMOSTS;
extern RsCoreRangeTable rscmwgm_rngDecode;
extern RsCoreRangeTable rscmwgm_rngAnalyzerFrequencyOffset;
extern RsCoreRangeTable rscmwgm_rngAnalyzerBand;
extern RsCoreRangeTable rscmwgm_rngConnectorMode;
extern RsCoreRangeTable rscmwgm_rngCMWSConnector;
extern RsCoreRangeTable rscmwgm_rngListModeTriggerMode;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CACHE;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_RECORD_COERCIONS;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_INTERCHANGE_CHECK;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPY;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_VISA_RM_SESSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_IO_SESSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_IO_SESSION_TYPE;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_OPC_CALLBACK;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsCoreAttribute g_RSCMWGM_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMWGM_ATTR_INPUT_EXTERNAL_ATTENUTATION;
extern RsCoreAttribute g_RSCMWGM_ATTR_COMBINED_SIGNAL_PATH_SCENARIO;
extern RsCoreAttribute g_RSCMWGM_ATTR_MEASURE_PROTOCOL_SCENARIO;
extern RsCoreAttribute g_RSCMWGM_ATTR_MEASURE_PROTOCOL_SCENARIO_APPLICATION;
extern RsCoreAttribute g_RSCMWGM_ATTR_ANALYZER_EXPECTED_NOMINAL_POWER;
extern RsCoreAttribute g_RSCMWGM_ATTR_ANALYZER_USER_MARGIN;
extern RsCoreAttribute g_RSCMWGM_ATTR_ANALYZER_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSCMWGM_ATTR_ANALYZER_MIXER_INPUT_LEVEL;
extern RsCoreAttribute g_RSCMWGM_ATTR_ANALYZER_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSCMWGM_ATTR_ANALYZER_BAND;
extern RsCoreAttribute g_RSCMWGM_ATTR_ANALYZER_CHANNEL;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_OFFSET_FREQUENCY;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_AVERAGE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_REPETITION_MODE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_COUNT;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_STOP_CONDITION;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_RESULTS_REJECTION;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TIMEOUT;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_FREQUENCY_RANGE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_SIGNAL_LEVEL_RELATIVE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_SIGNAL_LEVEL_RELATIVE_STATE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_ACCESS_BURST;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TRAINING_SEQUENCE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_THRESHOLD;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_DELAY;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT_STATE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_FRAME_SYNCHRONIZATION_METHOD;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_GAP_LENGTH;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_GAP;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_REFERENCE_POWER_MODE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_IF_FILTER_BANDWIDTH;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_PEAK_HOLD_MODE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_BER_LOOP;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_BER_THRESHOLD_START;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_BER_THRESHOLD_RUN;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_IQ_ROTATION;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_IQ_FILTER;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_16QAM_NB_SEARCH;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_PCL_MODE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_VAMOS_TSC;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_DECODE;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_IGNORE_INITIAL_OFF_FRAMES;
extern RsCoreAttribute g_RSCMWGM_ATTR_LIST_MODE_STATE;
extern RsCoreAttribute g_RSCMWGM_ATTR_LIST_MODE_TRIGGER_MODE;
extern RsCoreAttribute g_RSCMWGM_ATTR_LIST_MODE_COUNT;
extern RsCoreAttribute g_RSCMWGM_ATTR_LIST_MODE_IGNORE_IDLE_FRAMES;
extern RsCoreAttribute g_RSCMWGM_ATTR_LIST_MODE_STEP_LENGTH;
extern RsCoreAttribute g_RSCMWGM_ATTR_LIST_MODE_STEP_LENGTH_STATE;
extern RsCoreAttribute g_RSCMWGM_ATTR_LIST_MODE_CONNECTOR_MODE;
extern RsCoreAttribute g_RSCMWGM_ATTR_LIST_MODE_CMWS_CONNECTOR;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_INIT;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_ABORT;
extern RsCoreAttribute g_RSCMWGM_ATTR_MULTI_EVAL_MEASUREMENT_STOP;
extern RsCoreAttribute g_RSCMWGM_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMWGM_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMWGM_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMWGM_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSCMWGM_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSCMWGM_ATTR_SYSTEM_PRESET;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmwgm_RsCoreRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmwgm_RsCoreAttributeList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWGM_ATTRIBUTES_HEADER */
