/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2019-05-20 16:01:40Z
 *****************************************************************************/

#ifndef __RSCMWGS_ATTRIBUTES_HEADER
#define __RSCMWGS_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTable rscmwgs_rngExternalAttenuation;
extern RsCoreRangeTable rscmwgs_rngBand;
extern RsCoreRangeTable rscmwgs_rngBCCHChannel;
extern RsCoreRangeTable rscmwgs_rngPmaxBCCH;
extern RsCoreRangeTable rscmwgs_rngTCHChannel;
extern RsCoreRangeTable rscmwgs_rngTCHLevel;
extern RsCoreRangeTable rscmwgs_rngSwitchedPCL;
extern RsCoreRangeTable rscmwgs_rngConnectState;
extern RsCoreRangeTable rscmwgs_rngConnectionState;
extern RsCoreRangeTable rscmwgs_rngBERStopCondition;
extern RsCoreRangeTable rscmwgs_rngIdentityMCC;
extern RsCoreRangeTable rscmwgs_rngIdentityMNCDigits;
extern RsCoreRangeTable rscmwgs_rngIdentityMNC;
extern RsCoreRangeTable rscmwgs_rngIdentityLAC;
extern RsCoreRangeTable rscmwgs_rngIdentityRAC;
extern RsCoreRangeTable rscmwgs_rngIdentityNCC;
extern RsCoreRangeTable rscmwgs_rngIdentityBCC;
extern RsCoreRangeTable rscmwgs_rngConnectionTimeslot;
extern RsCoreRangeTable rscmwgs_rngConnectionTraffic;
extern RsCoreRangeTable rscmwgs_rngConnectionDataSource;
extern RsCoreRangeTable rscmwgs_rngConnectionLoop;
extern RsCoreRangeTable rscmwgs_rngNetworkCellLocUpdate;
extern RsCoreRangeTable rscmwgs_rngNetworkCellBSAG;
extern RsCoreRangeTable rscmwgs_rngNetworkTimeoutMS;
extern RsCoreRangeTable rscmwgs_rngNetworkT3212;
extern RsCoreRangeTable rscmwgs_rngNetworkT3312;
extern RsCoreRangeTable rscmwgs_rngBandIndicator;
extern RsCoreRangeTable rscmwgs_rngBERLimit;
extern RsCoreRangeTable rscmwgs_rngHoppingMAIO;
extern RsCoreRangeTable rscmwgs_rngSignPackSwConnStat;
extern RsCoreRangeTable rscmwgs_rngRXQualSub;
extern RsCoreRangeTable rscmwgs_rngNetwIdCell;
extern RsCoreRangeTable rscmwgs_rngNetwCellPDPContext;
extern RsCoreRangeTable rscmwgs_rngCellPCMeasCh;
extern RsCoreRangeTable rscmwgs_rngAlertTimeout;
extern RsCoreRangeTable rscmwgs_rngConnTCHAssign;
extern RsCoreRangeTable rscmwgs_rngConnMSPow;
extern RsCoreRangeTable rscmwgs_rngConnPackSWServ;
extern RsCoreRangeTable rscmwgs_rngConnPackDataSour;
extern RsCoreRangeTable rscmwgs_rngConnPackSwUplinkCodScheme;
extern RsCoreRangeTable rscmwgs_rngExtDynAlloc;
extern RsCoreRangeTable rscmwgs_rngCntrlACKType;
extern RsCoreRangeTable rscmwgs_rngConnBlockEncoding;
extern RsCoreRangeTable rscmwgs_rngHandoverState;
extern RsCoreRangeTable rscmwgs_rngTrgFramMode;
extern RsCoreRangeTable rscmwgs_rngBERStatisticCount;
extern RsCoreRangeTable rscmwgs_rngClassIIBits;
extern RsCoreRangeTable rscmwgs_rngBLERStatCount;
extern RsCoreRangeTable rscmwgs_rngUSFMode;
extern RsCoreRangeTable rscmwgs_rngFANRUplinkMode;
extern RsCoreRangeTable rscmwgs_rngFANRUplTimeshift;
extern RsCoreRangeTable rscmwgs_rngTBFLevel;
extern RsCoreRangeTable rscmwgs_rngBERMeasMode;
extern RsCoreRangeTable rscmwgs_rngMeasSlot;
extern RsCoreRangeTable rscmwgs_rngPowerMode;
extern RsCoreRangeTable rscmwgs_rngCodecMode;
extern RsCoreRangeTable rscmwgs_rngCellRTBS;
extern RsCoreRangeTable rscmwgs_rngVAMOSMobileLevels;
extern RsCoreRangeTable rscmwgs_rngFerFACCHLimit;
extern RsCoreRangeTable rscmwgs_rngFERSACCHLimit;
extern RsCoreRangeTable rscmwgs_rngHandoverCodingScheme;
extern RsCoreRangeTable rscmwgs_rngExternalAttenuationBCCHOutput;
extern RsCoreRangeTable rscmwgs_rngConnectionHalfRateSubchannel;
extern RsCoreRangeTable rscmwgs_rngBCCHLevel;
extern RsCoreRangeTable rscmwgs_rngSignalLevelFilterPeriod;
extern RsCoreRangeTable rscmwgs_rngNetworkTimeSource;
extern RsCoreRangeTable rscmwgs_rngTimeDSTShift;
extern RsCoreRangeTable rscmwgs_rngBEPPeriod;
extern RsCoreRangeTable rscmwgs_rngFadingSimulatorStandard;
extern RsCoreRangeTable rscmwgs_rngAutoMan;
extern RsCoreRangeTable rscmwgs_rngFadingSimulatorGlobalSeed;
extern RsCoreRangeTable rscmwgs_rngFSimInsertionLossMode;
extern RsCoreRangeTable rscmwgs_rngFSimInsertionLossUserValue;
extern RsCoreRangeTable rscmwgs_rngFadingAWGNBandwidthRatio;
extern RsCoreRangeTable rscmwgs_rngFadingAWGNSignalToNoiseRatio;
extern RsCoreRangeTable rscmwgs_rngFrequencyOffsetDL;
extern RsCoreRangeTable rscmwgs_rngFrequencyOffsetUL;
extern RsCoreRangeTable rscmwgs_rngRFMixerLevelOffset;
extern RsCoreRangeTable rscmwgs_rngFadingSimulatorDopplerFrequencyMode;
extern RsCoreRangeTable rscmwgs_rngFadingSimulatorDopplerFrequency;
extern RsCoreRangeTable rscmwgs_rngNeighborCellThreshold;
extern RsCoreRangeTable rscmwgs_rngNetworkCellReselectionQualityRXLevMinAccess;
extern RsCoreRangeTable rscmwgs_rngNetworkCellReselectionQualityRXLevMinEUTRAN;
extern RsCoreRangeTable rscmwgs_rngNetworkCellReselectionQualityRXLevMinUTRAN;
extern RsCoreRangeTable rscmwgs_rngNetworkCellReselectionTreselection;
extern RsCoreRangeTable rscmwgs_rngSMSOutgoingMessageDomain;
extern RsCoreRangeTable rscmwgs_rngSMSIncomingMessageDataCoding;
extern RsCoreRangeTable rscmwgs_rngSMSOutgoingMessageCodingGroup;
extern RsCoreRangeTable rscmwgs_rngSMSOutgoingMessageClass;
extern RsCoreRangeTable rscmwgs_rngMeasurementState;
extern RsCoreRangeTable rscmwgs_rngRLCThroughputRepetition;
extern RsCoreRangeTable rscmwgs_rngRLCThroughputWindow;
extern RsCoreRangeTable rscmwgs_rngSMSOutgoingMessageDataCoding;
extern RsCoreRangeTable rscmwgs_rngCMRPerformanceTargetLevel;
extern RsCoreRangeTable rscmwgs_rngBERPacketSwitchedMeasurementMode;
extern RsCoreRangeTable rscmwgs_rngNetworkRejectTimers;
extern RsCoreRangeTable rscmwgs_rngNetworkCellPageMode;
extern RsCoreRangeTable rscmwgs_rngNetworkCellNCCPermitted;
extern RsCoreRangeTable rscmwgs_rngNetworkCellMaxRetrans;
extern RsCoreRangeTable rscmwgs_rngNetworkCellPagingWithMSIdentity;
extern RsCoreRangeTable rscmwgs_rngNetworkCellReselectionHysteresis;
extern RsCoreRangeTable rscmwgs_rngNetworkCellSynchronizationOffset;
extern RsCoreRangeTable rscmwgs_rngNetworkCellSynchronizationZone;
extern RsCoreRangeTable rscmwgs_rngConnectionCallRelease;
extern RsCoreRangeTable rscmwgs_rngConnectionFrequencyOffset;
extern RsCoreRangeTable rscmwgs_rngConnectionPacketSwitchedBEPPeriod2;
extern RsCoreRangeTable rscmwgs_rngPercent;
extern RsCoreRangeTable rscmwgs_rngConnectionPacketSwitchedDownlinkPowerControlP0;
extern RsCoreRangeTable rscmwgs_rngConnectionPacketSwitchedPRMode;
extern RsCoreRangeTable rscmwgs_rngConnectioonPacketSwitchingPowerReductionField;
extern RsCoreRangeTable rscmwgs_rngExternalDelayCompensation;
extern RsCoreRangeTable rscmwgs_rngConnectionError;
extern RsCoreRangeTable rscmwgs_rngMobileCapabilitiesRXPower;
extern RsCoreRangeTable rscmwgs_rngNetworkCellInitialPowerReductionValue;
extern RsCoreRangeTable rscmwgs_rngNetworkReleaseTimerT3192;
extern RsCoreRangeTable rscmwgs_rngNetworkRejectCauses;
extern RsCoreRangeTable rscmwgs_rngConnectionTimingAdvance;
extern RsCoreRangeTable rscmwgs_rngConnectionEchoDelay;
extern RsCoreRangeTable rscmwgs_rngHandoverExternalDestination;
extern RsCoreRangeTable rscmwgs_rngSMSOutgoingServiceTimeSource;
extern RsCoreRangeTable rscmwgs_rngWCDMAQuantity;
extern RsCoreRangeTable rscmwgs_rngLTEQuantity;
extern RsCoreRangeTable rscmwgs_rngCBSDRXLengthOfPeriod;
extern RsCoreRangeTable rscmwgs_rngCBSDRXOffset;
extern RsCoreRangeTable rscmwgs_rngCBSMessageID;
extern RsCoreRangeTable rscmwgs_rngCBSMessageIDType;
extern RsCoreRangeTable rscmwgs_rngCBSDataCodeScheme;
extern RsCoreRangeTable rscmwgs_rngCBSMessageCategory;
extern RsCoreRangeTable rscmwgs_rngCBSMessagePeriod;
extern RsCoreRangeTable rscmwgs_rngSMSOutgoingLastMessageSent;
extern RsCoreRangeTable rscmwgs_rngAMRSignalingMode;
extern RsCoreRangeTable rscmwgs_rngNetworkMOCAlertingTimeout;
extern RsCoreRangeTable rscmwgs_rngNetworkTimeLocalTimeZoneOffset;
extern RsCoreRangeTable rscmwgs_rngMobilityMode;
extern RsCoreRangeTable rscmwgs_rngSIMCardType;
extern RsCoreRangeTable rscmwgs_rngMessageMonitoringLoggingPCIPv4Address;
extern RsCoreRangeTable rscmwgs_rngNetworkCellSupport;
extern RsCoreRangeTable rscmwgs_rngNetworkRejectCausesCMType;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CACHE;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_RECORD_COERCIONS;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_INTERCHANGE_CHECK;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPY;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_VISA_RM_SESSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_IO_SESSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_IO_SESSION_TYPE;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_OPC_CALLBACK;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsCoreAttribute g_RSCMWGS_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_INPUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_OUTPUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_BCCH_OUTPUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BCCH_BAND;
extern RsCoreAttribute g_RSCMWGS_ATTR_BCCH_CHANNEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_BCCH_ENABLE_LOWER_LIMIT_CHECK;
extern RsCoreAttribute g_RSCMWGS_ATTR_PMAX_BCCH;
extern RsCoreAttribute g_RSCMWGS_ATTR_TCH_CIRCUIT_SWITCHED_PCL;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER_MARGIN;
extern RsCoreAttribute g_RSCMWGS_ATTR_RF_MIXER_LEVEL_OFFSET;
extern RsCoreAttribute g_RSCMWGS_ATTR_BCCH_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_FREQUENCY_OFFSET_DL;
extern RsCoreAttribute g_RSCMWGS_ATTR_FREQUENCY_OFFSET_UL;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXTERNAL_DELAY_COMPENSATION_DL;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXTERNAL_DELAY_COMPENSATION_UL;
extern RsCoreAttribute g_RSCMWGS_ATTR_TCH_CHANNEL_NUMBER;
extern RsCoreAttribute g_RSCMWGS_ATTR_TCH_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_TCH_HOPPING_ENABLE;
extern RsCoreAttribute g_RSCMWGS_ATTR_HOPPING_MAIO;
extern RsCoreAttribute g_RSCMWGS_ATTR_HOPPING_HSN;
extern RsCoreAttribute g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_PATH_OUTPUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_STANDARD;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_RESTART_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_RESTART;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_GLOBAL_SEED;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_USER_VALUE;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_CLIPPING_COUNTER;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_DOPPLER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_SIMULATOR_DOPPLER_FREQUENCY;
extern RsCoreAttribute g_RSCMWGS_ATTR_NOISE_BW_POWER;
extern RsCoreAttribute g_RSCMWGS_ATTR_NOISE_TOTAL_POWER;
extern RsCoreAttribute g_RSCMWGS_ATTR_SIGNAL_PLUS_NOISE_POWER;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_AWGN_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_AWGN_BANDWIDTH_RATIO;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_AWGN_SIGNAL_TO_NOISE_RATIO;
extern RsCoreAttribute g_RSCMWGS_ATTR_FADING_AWGN_NOISE_BANDWIDTH;
extern RsCoreAttribute g_RSCMWGS_ATTR_SIGNALING_END_TO_END;
extern RsCoreAttribute g_RSCMWGS_ATTR_SIGNALING_CONNECTION_ACTION;
extern RsCoreAttribute g_RSCMWGS_ATTR_SIGNALING_CONNECTION_STATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_SIGNALING_PACKET_SWITCHED_CONNECTION_ACTION;
extern RsCoreAttribute g_RSCMWGS_ATTR_SIGNALING_PACKET_SWITCHED_CONNECTION_STATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_SIGNALING_SPEECH_CODEC;
extern RsCoreAttribute g_RSCMWGS_ATTR_GENERATOR_STATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CLEAN_EVENT_LOG;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_QUALITY;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_LEVEL_SUB;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_QUALITY_SUB;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_COUNT;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RECEIVED_BLOCKS;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_C_VALUE;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_BEP;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_GMSK_BEP;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_8PSK_BEP;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_QAM_BEP;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_BEP;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_GMSK_BEP;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_8PSK_BEP;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_QAM_BEP;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_SIGNAL_VARIANCE;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_RX_POWER;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IMEI;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IMSI;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_DIALED_NUMBER;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_MULTISLOT_CLASS;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_APN;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_EGPRS2;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_GPRS_AND_EGPRS;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_SSCH;
extern RsCoreAttribute g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_VAMOS_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_IDENTITY_CELL;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_IDENTITY_MCC;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_IDENTITY_MNC_DIGITS;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_IDENTITY_MNC;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_IDENTITY_LAC;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_IDENTITY_RAC;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_IDENTITY_NCC;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_IDENTITY_BCC;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REQUESTED_IMEI;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REQUESTED_AUTHENTICATION;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REQUESTED_IMSI;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REQUESTED_CLASSMARK;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_EC_GSM_IOT_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_LOCATION_UPDATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_BS_AG_BLKS_RES;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_BS_PA_MFRMS;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_MS_DTX;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_BAND_INDICATOR;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_EARLY_CLASSMARK_SENDING;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_PAGE_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_NCC_PERMITTED;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_MAX_RETRANS;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_PAGING_WITH_MS_IDENTITY;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_INITIAL_POWER_REDUCTION_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_INITIAL_POWER_REDUCTION_VALUE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_BARING;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_SIM_CARD_TYPE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_CIRCUIT_SWITCHED_EARLY_CLASSMARK_SENDING;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_CIRCUIT_SWITCHED_ENHANCED_MEASUREMENT_REPORT;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_PDP_CONTEXT_ACTIVATION;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_SIGNAL_LEVEL_FILTER_PERIOD;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_BEP_PERIOD;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_PC_MEAS_CHANNEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_CONECTIONS_ENABLE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_ACCESS;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_HYSTERESIS;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_EUTRAN;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_UTRAN;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_TRESELECTION;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_IMSI_FILTER;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_SUPPORT;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_RADIOLINK_TIMEOUT_MS;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_RADIOLINK_TIMEOUT_BS;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIMER_T3212;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIMER_T3312;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_ALERTING_TIMEOUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_MOC_ALERTING_TIMEOUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIMER_T3122;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIMER_T3142;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_RELEASE_TIMER_T3192;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_LOCATION_UPDATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_GMM_ATTACH;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_GMM_ROUTING_AREA;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_CM_SERVICE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_CM_TYPE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIME_SOURCE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIME_DST_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIME_DST_SHIFT;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIME_TRANSFER_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIME_TRANSFER;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIME_LOCAL_TIME_ZONE_OFFSET;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_TIME_SEND_NETWORK_NAME;
extern RsCoreAttribute g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_LTE;
extern RsCoreAttribute g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_WCDMA;
extern RsCoreAttribute g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_TDSCDMA;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_SYNCHRONIZATION_OFFSET;
extern RsCoreAttribute g_RSCMWGS_ATTR_NETWORK_CELL_SYNCHRONIZATION_ZONE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_MS_POWER_CHANGE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_FREQUENCY_OFFSET_DOWNLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_FREQUENCY_OFFSET_UPLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_RANDOM_FREQUENCY_OFFSET_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_TIMING_ADVANCE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_TIMESLOT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_TRAFFIC_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_HALF_RATE_SUBCHANNEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_DATA_SOURCE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_CALL_RELEASE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_LOOP;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_LOOP_RECLOSE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_CALLER_ID;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_TCH_ASSIGNMENT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_ECHO_DELAY;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_TRAFFIC_CHANNEL_STATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_ERROR;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_ATTEMPT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_REJECT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_ATTEMPT_QUERY;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_REJECT_QUERY;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_AMR_CODEC_MODE_DOWNLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_AMR_CODEC_MODE_UPLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_MS_CODEC_MODE_DOWNLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_MS_CODEC_MODE_UPLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_AMR_8PSK_CODEC_MODE_DOWNLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_AMR_8PSK_CODEC_MODE_UPLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_MS_8PSK_CODEC_MODE_DOWNLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_MS_8PSK_CODEC_MODE_UPLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_AMR_SIGNALING_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_VAMOS_ENABLE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_VAMOS_MOBILE_SUPPORT_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_AUTO_SLOT_CONFIG_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_AUTO_DUAL_TRANSFER_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_SERVICE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_B_ACK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_RF_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_S_SRB_INFO;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BLER_POLLING_BLOCKS;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DATA_SOURCE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TBF_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_CODING_SCHEME_UPLINK;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_INCREMENTAL_REDUNDANCY_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_EXTENDED_DYNAMIC_ALLOCATION;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_NUMBER_OF_PROTOCOL_DATA_UNITS;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_SLOT_OFFSET;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_CONTROL_ACK_TYPE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_DUALCARRIER;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BEP_PERIOD_2;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BCS_DATA_CORRUPTION_RATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_POWER_CONTROL_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_POWER_CONTROL_P0;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_POWER_REDUCTION_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_POWER_REDUCTION_FIELD;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_ALWAYS_SEND_RLC_DATA_BLOCKS;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BLOCK_ENCODING;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_USF_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_STATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_DOWNLINK_EVENT_BASED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_DOWNLINK_POLLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_UPLINK_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_UPLINK_TIMESHIFT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_MAX_DOWNLINK_THROUGHPUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_MAX_UPLINK_THROUGHPUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_ERROR;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_NW_EXT_UTBF;
extern RsCoreAttribute g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_EXT_UTBF_NODATA;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_DESTINATION_BAND;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_DESTINATION_CHANNEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_DESTINATION_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_DESTINATION_PCL;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_DESTINATION_TIMESLOT;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_UPLINK_CODING_SCHEME;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_BAND;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_INITIATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_SIGNALING_HANDOVER_STATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_DESTINATION;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_EXTERNAL_DESTINATION;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_DUALBAND_TCH;
extern RsCoreAttribute g_RSCMWGS_ATTR_HANDOVER_MOBILITY_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_TEXT;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_DOMAIN;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_DATA_CODING;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_CODING_GROUP;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_CLASS;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_ORIGINATOR_SMSC_ADDRESS;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_ORIGINATING_ADDRESS;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_SERVICE_TIME_SOURCE;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_LAST_MESSAGE_SENT;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_OUTGOING_USER_DATA_HEADER_STATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_TEXT;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_READ_FLAG;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_LENGTH;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_RESET;
extern RsCoreAttribute g_RSCMWGS_ATTR_SMS_INCOMMING_MESSAGE_DATA_CODING;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_GENERALLY_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_MESSAGE_ID;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_MESSAGE_ID_TYPE;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_MESSAGE_DATA_CODE_SCHEME;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_MESSAGE_CATEGORY;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_MESSAGE_DATA;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_MESSAGE_PERIOD;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_DRX_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_DRX_LENGTH_OF_PERIOD;
extern RsCoreAttribute g_RSCMWGS_ATTR_CBS_DRX_OFFSET;
extern RsCoreAttribute g_RSCMWGS_ATTR_TRIGGER_FRAME_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_SLOT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STOP_CONDITION;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_CLASS_II_BITS;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_CLASS_IB_BITS;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER_FACCH;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER_SACCH;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_INIT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_ABORT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STOP;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_BER;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_TIMEOUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_ROUND_TRIP_DELAY;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STOP_CONDITION;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_CLASS_II_BITS;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_DBLER;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_USF_BLER;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_INIT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_ABORT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STOP;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_TIMEOUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSCMWGS_ATTR_BLER_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BLER_INIT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BLER_ABORT;
extern RsCoreAttribute g_RSCMWGS_ATTR_BLER_STOP;
extern RsCoreAttribute g_RSCMWGS_ATTR_BLER_TIMEOUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_RLC_THROUGHPUT_INIT;
extern RsCoreAttribute g_RSCMWGS_ATTR_RLC_THROUGHPUT_ABORT;
extern RsCoreAttribute g_RSCMWGS_ATTR_RLC_THROUGHPUT_STOP;
extern RsCoreAttribute g_RSCMWGS_ATTR_RLC_THROUGHPUT_STATE;
extern RsCoreAttribute g_RSCMWGS_ATTR_RLC_THROUGHPUT_TIMEOUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_RLC_THROUGHPUT_REPETITION;
extern RsCoreAttribute g_RSCMWGS_ATTR_RLC_THROUGHPUT_WINDOW;
extern RsCoreAttribute g_RSCMWGS_ATTR_CMR_PERFORMANCE_INIT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CMR_PERFORMANCE_ABORT;
extern RsCoreAttribute g_RSCMWGS_ATTR_CMR_PERFORMANCE_STOP;
extern RsCoreAttribute g_RSCMWGS_ATTR_CMR_PERFORMANCE_TARGET_LEVEL;
extern RsCoreAttribute g_RSCMWGS_ATTR_CMR_PERFORMANCE_TIMEOUT;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORT_ENABLED;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORT_WCDMA_QUANTITY;
extern RsCoreAttribute g_RSCMWGS_ATTR_MEASUREMENT_REPORT_LTE_QUANTITY;
extern RsCoreAttribute g_RSCMWGS_ATTR_MESSAGE_MONITORING_ADD_GSM_SIGNALING_TO_LOGGING;
extern RsCoreAttribute g_RSCMWGS_ATTR_MESSAGE_MONITORING_LOGGING_PC_IPV4_ADDRESS;
extern RsCoreAttribute g_RSCMWGS_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMWGS_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMWGS_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMWGS_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSCMWGS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSCMWGS_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmwgs_RsCoreRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmwgs_RsCoreAttributeList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWGS_ATTRIBUTES_HEADER */
