/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

#define RSCMW_NAN                 9.91e+37
#define RSCMW_NAN_VI_INT32        0x80000000

ViStatus rscmwgs_InitAttributes(ViSession instrSession);

ViStatus rscmwgs_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rscmwgs_CheckStatus(ViSession instrSession);

ViStatus rscmwgs_instanceRepCap(ViSession instrSession,
                                ViInt32   instance,
                                ViChar    repCap[]);

ViStatus _VI_FUNC rscmwgs_QueryMeasStatus(ViSession instrSession,
                                          ViString cmd,
                                          ViInt32*  mainState,
                                          ViInt32*  syncState,
                                          ViInt32*  resourcesState);

ViStatus _VI_FUNC rscmwgs_GetMeas(ViSession instrSession,
                                  ViString cmd,
                                  ViInt32   arraySize,
                                  ViInt32*  reliability,
                                  ViReal64  result[],
                                  ViInt32   *returnedValues);

ViStatus _VI_FUNC rscmwgs_GetMeasReport(ViSession instrSession,
                                        ViString cmd,
                                        ViInt32   arraySize,
                                        ViReal64  result[],
                                        ViInt32   *returnedValues);